org.jboss.resteasy.core

## Class ExceptionAdapter

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.core.ExceptionAdapter

- All Implemented Interfaces:
    Serializable

      public class ExceptionAdapter
      extends RuntimeException

  A ExceptionAdapter.
  Version:
    $Revision: $
  Author:
    See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionAdapter(Exception e)` Create a new ExceptionAdapter.
    `ExceptionAdapter(String message, Exception e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printStackTrace()` FIXME Comment this
    `void` | `printStackTrace(PrintStream s)` FIXME Comment this
    `void` | `printStackTrace(PrintWriter s)` FIXME Comment this
    `void` | `rethrow()` Rethrows the original exception class.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionAdapter

          public ExceptionAdapter(Exception e)

      Create a new ExceptionAdapter.
      Parameters:
        `e` -

    - #### ExceptionAdapter

          public ExceptionAdapter(String message,
                          Exception e)

  - ### Method Detail

    - #### printStackTrace

          public void printStackTrace()

      FIXME Comment this
      Overrides:
        `printStackTrace` in class `Throwable`
      See Also:
        `java.lang.Throwable#printStackTrace()`

    - #### printStackTrace

          public void printStackTrace(PrintStream s)

      FIXME Comment this
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` -
      See Also:
        `java.lang.Throwable#printStackTrace(java.io.PrintStream)`

    - #### printStackTrace

          public void printStackTrace(PrintWriter s)

      FIXME Comment this
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` -
      See Also:
        `java.lang.Throwable#printStackTrace(java.io.PrintWriter)`

    - #### rethrow

          public void rethrow()
                       throws Exception

      Rethrows the original exception class.
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.